Skip to main content
GET
/
invoices
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/invoices \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "agentId": "<string>",
      "messageId": "<string>",
      "vendor": "<string>",
      "invoiceNumber": "<string>",
      "amountCents": 123,
      "currency": "<string>",
      "dueDate": "2023-11-07T05:31:56Z",
      "paymentLink": "<string>",
      "confidence": 123,
      "evidence": {},
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

status
enum<string>

Filter invoices by processing status

Available options:
detected,
confirmed,
rejected,
paid,
reconciled
agentId
string

Filter invoices by detecting agent

limit
integer
default:20

Maximum number of invoices to return per page

Required range: 1 <= x <= 100
cursor
string

Pagination cursor for fetching the next page

Response

200 - application/json

OK

Paginated list of invoices.

items
object[]
required

Array of invoices matching the query.

nextCursor
string | null
required

Cursor for fetching the next page of results, or null if no more pages.